/*
** pork_misc.h - miscellaneous functions.
** Copyright (C) 2002 Ryan McCabe <ryan@numb.org>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License, version 2,
** as published by the Free Software Foundation.
*/

#ifndef __PORK_MISC_H
#define __PORK_MISC_H

#define ATTR_INFO			(COLOR_PAIR(6))
#define ATTR_INFO_FIRST		(COLOR_PAIR(6) | A_BOLD)

#define chtype_set(x, c)	((x) = ((x) & ~A_CHARTEXT) | (c))
#define chtype_get(x)		((x) & A_CHARTEXT)

int initialize_environment(void);
void init_colors(void);
void set_default_win_opts(WINDOW *win);

size_t cstrlen(chtype *ch);
char *cstr_to_plaintext(chtype *cstr, size_t n);
int plaintext_to_cstr(const char *str, chtype *ch, size_t len);
void normalize(const char *p, char *buf, size_t len);
char *strip_html(char *str);
void time_to_str(u_int32_t timespec, char *buf, size_t len);

void chstr_color_info(chtype *ch);

void wputstr(WINDOW *win, chtype *ch);
void wputnstr(WINDOW *win, chtype *ch, size_t n);
void mvwputstr(WINDOW *win, int y, int x, chtype *ch);
void mvwputnstr(WINDOW *win, int y, int x, chtype *ch, size_t n);
int wgetinput(WINDOW *win);

#endif
