/*
** pork_screen.c - screen management.
** Copyright (C) 2002 Ryan McCabe <ryan@numb.org>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License, version 2,
** as published by the Free Software Foundation.
*/

#ifndef __PORK_SCREEN_H
#define __PORK_SCREEN_H

struct screen {
	u_int32_t rows;
	u_int32_t cols;
	int quiet;
	dlist_t *cur_window;
	dlist_t *window_list;
	WINDOW *status_bar;
	struct imwindow *status_win;
	dlist_t *acct_list;
	struct input input;
	struct binds binds;
	hash_t alias_hash;
	struct aim_priv null_priv;
};

struct aim_acct {
	char *username;
	struct aim_priv *priv;
	aim_session_t *session;
};

int screen_init(struct screen *scr, u_int32_t rows, u_int32_t cols);

struct aim_acct *screen_add_acct(struct screen *scr, char *user);
int screen_del_acct(struct screen *scr, char *user);

void screen_add_window(struct screen *scr, struct imwindow *imwindow);
void screen_resize(struct screen *scr, u_int32_t rows, u_int32_t cols);
dlist_t *screen_find_refnum(struct screen *scr, u_int32_t refnum);
u_int32_t screen_get_new_refnum(struct screen *scr);
int screen_renumber(struct screen *scr, u_int32_t refnum);

int screen_acct_find(void *l, void *r);
void screen_window_list_add(struct screen *scr, dlist_t *new_node);
void screen_window_list_remove(struct screen *scr, dlist_t *node);

#endif
